function preProcessor(q, field, document, userId, logger) { 
    
    if (document[field.name]) {
        let saveSelectedValues = document[field.name];
        //******Removed uniqueSelection value in saveSelectedValues
        // tslint:disable-next-line:prefer-for-of
        for (let indexSel = 0; indexSel < saveSelectedValues.length; indexSel++) {
          delete saveSelectedValues[indexSel].uniqueSelection;
        }
        document[field.name] = saveSelectedValues;
    } else {
        return document;
    }
}
module.exports = preProcessor;